This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Table
Name | ### removeRow()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("name");
      table.addColumn("type");

      TableRow newRow = table.addRow();
      newRow.setString("name", "Lion");
      newRow.setString("type", "Mammal");
      println(table.getRowCount());  // Prints 1

      table.removeRow(0);  // Removes the first row
      println(table.getRowCount());  // Prints 0
    }
Description | Removes a row from a Table object.
Syntax |
    .removeRow(row)
Parameters |
row | int: ID number of the row to remove
Returns | void
Related | addRow() clearRows()

Updated on October 26, 2013 08:58:34pm PDT